#
# spec file for package mcfly
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           mcfly
Version:        0.9.3+0
Release:        1.3
Summary:        Shell history helper
License:        MIT
Group:          Development/Tools/Other
URL:            https://github.com/cantino/mcfly
Source0:        %{name}-%{version}.tar.xz
Source1:        vendor.tar.xz
BuildRequires:  cargo-packaging
BuildRequires:  libopenssl-devel

%description
McFly replaces your default ctrl-r shell history search with an intelligent search engine that takes into account your working directory and the context of recently executed commands. McFly's suggestions are prioritized in real time with a small neural network.

%prep
%autosetup -a1

%build
%{cargo_build}

%install
%{cargo_install}

%check
%{cargo_test}

%files
%{_bindir}/%{name}

%changelog
* Wed Feb 12 2025 Michael Vetter <mvetter@suse.com>
- Update to 0.9.3:
  * Fix PowerShell VIM key scheme duplicates keypresses
  * Display more results by default
  * Hopefully fix occasional sort panics
* Wed Aug 14 2024 Michael Vetter <mvetter@suse.com>
- Update to 0.9.2:
  * Numerous bash fixes
  * Bind to both emacs and vi-insert keymaps in Bash
* Thu Jul 11 2024 Michael Vetter <mvetter@suse.com>
- Update to 0.9.1:
  * Added the mcfly stats command
  * Prevent cancellation of Bash/Zsh initialization on mcfly
    initialization failure
  * Prevent UTF-8 entry issue from new default to avoid TIOCSTI
    added in 0.9.0
* Mon Jun  3 2024 Michael Vetter <mvetter@suse.com>
- Update to 0.9.0:
  * Make bash no longer use TIOCSTI by default
* Sun May 19 2024 Michael Vetter <mvetter@suse.com>
- Update to 0.8.6:
  * Add windows asset generation
  * Fix init issue for fish
* Mon May 13 2024 Michael Vetter <mvetter@suse.com>
- Update 0.8.5:
  * Use C:\Users\username\AppData\Local instead of C:\Users\username\AppData\Roaming
  * Fix Fish return codes
  * Allow colors to be configured in a new optional config.toml
  * Paste in emacs mode
* Mon Dec 25 2023 Michael Vetter <mvetter@suse.com>
- Update to 0.8.4:
  * Remove spurious print when moving files.
  * PowerShell improvements
* Mon Dec  4 2023 Michael Vetter <mvetter@suse.com>
- Update to 0.8.3:
  * Add support for exporting command history matching a regex or
    date range
  * Add Windows and Powershell support
  * Add deprecation warning on brew tap.
* Sun Dec  3 2023 Michael Vetter <mvetter@suse.com>
- Update to 0.8.2:
  * Add support for exporting command history matching a regex
    or date range
* Fri Jun  9 2023 Gus Kenion <gkenion@suse.com>
- Update to 0.8.1:
  * Fix use of MCFLY_DISABLE_MENU
  * Support Fish private mode support
  * Always set MCFLY_HISTORY in zsh to support subshells
  * Allow linking mcfly with system-provided sqlite with
    sqlite-bundled feature flag
  * And allow sourcing in zsh more than once
  * Reduce size by removing unnecessary/unused regex features
  * Add per-directory history
* Tue Mar  7 2023 Michael Vetter <mvetter@suse.com>
- Update to 0.8.0:
  * Add forward-compatibility check for database schema
  * Add MCFLY_DISABLE_RUN_COMMAND option to disable command running
  * Add customizable prompt with MCFLY_PROMPT
  * Replace termion with crossterm
  * Allow ENV variables to be set to FALSE
* Wed Jan 11 2023 Michael Vetter <mvetter@suse.com>
- Initial package of mcfly 0.7.1 for openSUSE
